## hubzero-submit-distributor 3.1.2-1+deb6

=== debian/changelog ===
hubzero-submit-distributor (3.1.2-1+deb6) unstable; urgency=low

  * Merger PBS SLURM remote execution scripts
  * Expand ~ if used in executable path
  * Modified scheme for generating user credential files.
    No longer need world readable copies of community credentials.
  * progressReport typo pagasus -> pegasus
  * Added runName to job monitor database
  * Eliminate RUNJOB
  * Introduce hierarchical probeSite structure
  * Eliminate --disableStateCheck

 -- Steven Clark <clarks@purdue.edu>  Tue, 13 Jun 2017 13:50:26 -0400

hubzero-submit-distributor (3.0.10-1) unstable; urgency=low

  * Fixed SLURM mpi batch script generation
  * Fixed resource limit filter when user specifies
    a whole node, n=0
  * Fixed Pegasus OS mapping from site catalog to dax file.
    Required lower case.
  * Added to factor to control refresh of identities on failure.
    If identities generation fails it will now be attempted again
    after a shorter interval.
    communityRefreshOnFailFactor and refreshOnFailFactor
  * Added ability to add arbitrary batch submission script commands
    through sites.dat.  Spurred on by need to specify an XSEDE reservation.
    submissionScriptCommands
  * Changed job kill command to be sh compatible.
       kill -s TERM `jobs -p`
    to
       pkill -TERM --parent $$
  * Check for existence of identity manager scripts.
  * Fix case where input file specified as absolute path and
    client/server do not share working directory.
  * Use more os information in Pegasus workflow dax builds.
    Include arch, osFlavor, osVersion, osRelease
  * Check for success of touch command.  It fails when filesystem is readonly.
  * Added configurable ssh options. Initial use is to set connection timeout
    and retry limit.

 -- Steven Clark <clarks@purdue.edu>  Mon, 11 Jul 2016 11:30:07 -0400

hubzero-submit-distributor (3.0.8-1) unstable; urgency=low

  * Another set of traps for os.getwd() failures
  * Added another trap for getcwd() failure.
  * Account for disabled sites when filtering member sites.
  * Added another trap for getcwd() failure.

 -- Steven Clark <clarks@purdue.edu>  Wed, 09 Mar 2016 15:24:15 -0500

hubzero-submit-distributor (3.0.2-1) unstable; urgency=low

  * add to sudoers config file

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 13 Sep 2015 15:34:12 -0400

hubzero-submit-distributor (3.0.1-1) unstable; urgency=low

  * Replaced string based data exchange API with JSON based exchange
  * Added identity manager service.  It supports community ssh, idividual
    ssh, community x509 proxy
  * Moved submission scripts from code to template files.  Using a common
    set of substitutions for all submission types.
  * Added job registration step preceeding job submission.
  * Extended resource limits to include core-minutes.
  * Added setting for maximum number of jobs at remote site.
  * Added calculation of user activity at remote sites.  The activity
    is compute as a decaying weighted average of the number of cores
    used for running jobs.
  * Users are allocation job slots with inverse proprotion to their
    activity.  This is a form of fair share.
  * Added centralized manager for daemon to maintain host and port location
    of the individual daemons.
  * Dropped RemoteBatchPBS8.  Resource allocation parameters are specified
    in sites.dat.  This allows the same batch submission template to used
    with multiple sets of resource alloation parameters.
  * Added ability to mix standard HTcondor and PBS jobs in Pegasus workflows.
    This requires Pegasus 4.5 or newer.
  * Added ability to report anonymous user names to remote submission sites.
    This was done to support XSEDE user data collection.
  * Report expandedSiteNames as a unique list
  * Trap some os.getcwd() exceptions.  Why these exceptions occur is a mystery
    but at least now they are trapped and the process does not crash.
  * Added BOINC job submission
  * Added BOINC job submission
  * Fixed cpu time accounting for parallel simulations
  * Simplyfied the MPI kill process for instant scripts

 -- Steven Clark <clarks@purdue.edu>  Mon, 07 Sep 2015 17:56:46 -0400

hubzero-submit-distributor (2.7.2.6-1) unstable; urgency=low

  * fix misspelled variable in Makefile (probably effected pegasus support)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 05 Sep 2015 18:14:33 -0400

hubzero-submit-distributor (2.7.2.5-1) unstable; urgency=low

  * fix log directory and log file permissions
  * fix update-known-hosts to use `getent` if necessary to resolve hostname

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 26 Mar 2015 09:33:53 -0400

hubzero-submit-distributor (2.7.2.4-1) unstable; urgency=low

  * fix bad variable dereference in postinst update from last version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 26 Feb 2015 14:23:11 -0500

hubzero-submit-distributor (2.7.2.3-1) unstable; urgency=low

  * fix bad variable name in postinst update from last version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 26 Feb 2015 14:18:00 -0500

hubzero-submit-distributor (2.7.2.2-1) unstable; urgency=low

  * don't put empty log files in package, create them in configure step
  * fix missing classname in logger call

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 26 Feb 2015 11:55:40 -0500

hubzero-submit-distributor (2.7.2u1-1) unstable; urgency=low

  * specifically get fqdn for hostname

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 27 Sep 2014 15:23:54 -0400

hubzero-submit-distributor (2.7.2-1) unstable; urgency=low

  * Added shared file system option to job helper scripts. 
    Avoid removal of local shared file copies. 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 25 Sep 2014 21:02:28 -0400

hubzero-submit-distributor (2.7.1-1) unstable; urgency=low

  * release 2.7.1, normalizing packaging, updating copyrights
  * PBS attribute specification
  * Added new function to facilitate builds site/tool interaction

