## hubzero-submit-distributor 3.1.2-1+deb7

=== Makefile ===
# @package      hubzero-submit-distributor
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

ETC=$(DESTDIR)/etc
VARLOG=$(DESTDIR)/var/log
OPTSUBMIT=$(DESTDIR)/opt/submit

DISTRIBUTION := $(shell lsb_release -i -s)
MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)

ifeq ($(DISTRIBUTION),Debian)
il=--install-layout=deb
endif

BATCHSCHEDULERS = condor ll lsf pbs sge slurm
BATCHSCRIPTS = cleanupjob.sh killbatchjob.sh movepegtmp2home.sh postprocessjob.sh \
               qsubfromcondor.sh receiveinput.sh stdtocondor.sh submitbatchjob.sh \
               transmitresults.sh
DISTRIBUTORSCRIPTS = update-known-hosts hubmail.py
DISTRIBUTORMAINS = distributor.py executePBS.py jobKill.py jobStatus.py venueProbeR.py
DISTRIBUTORDFTFILES = aggregators appaccess environmentwhitelist identities \
                      managers monitors sites tools tunnels
PEGASUSLOCALCONFIGS = pegasus_local.rc sites_local.xml

HUBHOSTNAME:=$(shell hostname --fqdn)

all:
	@true

install:
	# create-optsubmit
	install --mode 0755 -d $(OPTSUBMIT)
	# install-distributor-dft: 
	for dftFile in $(DISTRIBUTORDFTFILES) ; do \
		install --mode 0640 -D $${dftFile}.dft $(OPTSUBMIT)/$${dftFile}.dft ; \
	done
	[ -f $(ETC)/submit/distributor.conf ] || \
		install --mode 0644 -D distributor.conf_dft $(ETC)/submit/distributor.conf
	[ -f $(ETC)/submit/infos.conf ] || \
		install --mode 0644 -D infos.conf_dft $(ETC)/submit/infos.conf
	[ -f $(ETC)/submit/daemons.conf ] || \
		install --mode 0644 -D daemons.conf_dft $(ETC)/submit/daemons.conf
	# install-distributor-scripts
	install --mode 2750 -d $(OPTSUBMIT)/Scripts
	for batchScheduler in $(BATCHSCHEDULERS) ; do \
		install --mode 2750 -d $(OPTSUBMIT)/Scripts/$${batchScheduler}; \
		for batchScript in $(BATCHSCRIPTS) ; do \
			if [ -f Scripts/$${batchScheduler}/$${batchScript} ] ; then \
				install --mode 0755 -D Scripts/$${batchScheduler}/$${batchScript} $(OPTSUBMIT)/Scripts/$${batchScheduler}; \
			fi \
		done \
	done
	# install-distributor-submissionscripts
	cp -r SubmissionScripts $(OPTSUBMIT)
	find $(OPTSUBMIT)/SubmissionScripts -type f -exec chmod 0644 {} \;
	find $(OPTSUBMIT)/SubmissionScripts -type d -exec chmod 2755 {} \;
	# install-distributor-bin
	install --mode 2751 -d $(OPTSUBMIT)/bin
	for distributorScript in $(DISTRIBUTORSCRIPTS) ; do \
		install --mode 0755 -D bin/$${distributorScript} $(OPTSUBMIT)/bin/$${distributorScript}; \
	done
	# install-distributor-mains
	for distributorMain in $(DISTRIBUTORMAINS) ; do \
		install --mode 0755 -D $${distributorMain} $(OPTSUBMIT)/$${distributorMain}; \
	done
	(cd $(OPTSUBMIT); ln --force --symbolic distributor.py distributor)
	# install-distributor-keys
	install --mode 0751 -d $(OPTSUBMIT)/etc
	install --mode 0751 -d $(OPTSUBMIT)/.ssh
	# install-distributor-condor-scripts:
	install --mode 2751 -d $(OPTSUBMIT)/bin
	for batchScript in $(BATCHSCRIPTS) ; do \
		if [ -f Scripts/condor/$${batchScript} ] ; then \
			install --mode 0755 -D Scripts/condor/$${batchScript} $(OPTSUBMIT)/bin/$${batchScript}; \
			sed -e "s/@CONDORVERSION@/$(CONDORVERSION)/" \
				--in-place $(OPTSUBMIT)/bin/$${batchScript}; \
		fi \
	done
	# install-distributor-logs
	install --mode 0775 -d $(VARLOG)/submit
	install --mode 0755 -d $(VARLOG)/submit/distributor
	# install-pegasus-local: 
	for pegasusLocalConfig in $(PEGASUSLOCALCONFIGS) ; do \
           install --mode 0644 -D $${pegasusLocalConfig} $(OPTSUBMIT)/$${pegasusLocalConfig} ; \
	done
	# add sudoers file
	install --mode 0440 -D submit-distributor.sudoers $(ETC)/sudoers.d/submit-distributor
	python setup.py install $(COMPILE) --root $(DESTDIR)  $(il)

uninstall:
	@true

postinst:
	# install-user-gridman
	adduser --quiet --system --group --force-badname --home /var/gridman --shell /bin/bash --disabled-password --gecos Gridman gridman || true
	adduser --quiet gridman tunneler || true
	# install-distrubtor-dat
	for dftFile in $(DISTRIBUTORDFTFILES) ; do \
		[ -e $(OPTSUBMIT)/$${dftFile}.dat ] || install --mode 0644 -D $(OPTSUBMIT)/$${dftFile}.dft $(OPTSUBMIT)/$${dftFile}.dat; \
	done
	sed -e "s/@HUBHOSTNAME@/$(HUBHOSTNAME)/" --in-place $(OPTSUBMIT)/monitors.dat
	if [ -f /etc/submit/daemons.conf ] ; then sed -e "s/@HOSTNAME@/$(HUBHOSTNAME)/" --in-place /etc/submit/daemons.conf; fi
	# install-distributor-bin
	$(OPTSUBMIT)/bin/update-known-hosts $(HUBHOSTNAME)
	# install-distributor-keys
	if [ -f ${OPTSUBMIT}/.ssh/submit_rsa ] ; then \
            echo "submit RSA key already exists in ${OPTSUBMIT}/.ssh/submit_rsa"; \
        else \
            printf "y\n\n" | ssh-keygen -q -t rsa -f ${OPTSUBMIT}/.ssh/submit_rsa -N '' -C "submit@$(HUBHOSTNAME)"; \
        fi
	chown gridman $(OPTSUBMIT)/.ssh/submit_rsa $(OPTSUBMIT)/.ssh/submit_rsa.pub
	rm -f $(OPTSUBMIT)/etc/submit_rsa
	install -o gridman -g gridman --mode 0700 -d /var/gridman/.ssh
	cat $(OPTSUBMIT)/.ssh/submit_rsa.pub >> /var/gridman/.ssh/authorized_keys
	chown gridman:gridman /var/gridman/.ssh/authorized_keys
	chmod 0600 /var/gridman/.ssh/authorized_keys
	chown gridman:apps $(ETC)/submit/distributor.conf

	touch emptyFile
	[ -f $(VARLOG)/submit/distributor/distributor.log ] || \
		install --mode 0640 -D emptyFile $(VARLOG)/submit/distributor/distributor.log
	rm -f emptyFile

clean:
	find . -name '*.pyc' -delete
	rm -f build-stamp
	rm -f configure-stamp
	python setup.py clean
	rm -fr build

.PHONY: all install uninstall postinst clean
