=== debian/changelog ===
hubzero-submit-distributor (3.1.2-1+deb7) unstable; urgency=low

  * Merger PBS SLURM remote execution scripts
  * Expand ~ if used in executable path
  * Modified scheme for generating user credential files.
    No longer need world readable copies of community credentials.
  * progressReport typo pagasus -> pegasus
  * Added runName to job monitor database
  * Eliminate RUNJOB
  * Introduce hierarchical probeSite structure
  * Eliminate --disableStateCheck

 -- Steven Clark <clarks@purdue.edu>  Tue, 13 Jun 2017 13:50:26 -0400
