## hubzero-submit-distributor 3.1.3-1+deb8

=== Makefile ===
--- 
+++ 
@@ -40,10 +40,10 @@
 
 BATCHSCHEDULERS = condor ll lsf pbs sge slurm
 BATCHSCRIPTS = cleanupjob.sh killbatchjob.sh movepegtmp2home.sh postprocessjob.sh \
-               qsubfromcondor.sh receiveinput.sh stdtocondor.sh submitbatchjob.sh \
+               receiveinput.sh stdtocondor.sh submitbatchjob.sh submitfromcondor.sh \
                transmitresults.sh
 DISTRIBUTORSCRIPTS = update-known-hosts hubmail.py
-DISTRIBUTORMAINS = distributor.py executePBS.py jobKill.py jobStatus.py venueProbeR.py
+DISTRIBUTORMAINS = distributor.py executeRemoteBatch.py jobKill.py jobStatus.py venueProbeR.py
 DISTRIBUTORDFTFILES = aggregators appaccess environmentwhitelist identities \
                       managers monitors sites tools tunnels
 PEGASUSLOCALCONFIGS = pegasus_local.rc sites_local.xml
