=== debian/changelog ===
hubzero-submit-distributor (3.1.3-1+deb8) unstable; urgency=low

  * Added files necessary for HTCondor submission to SLURM resources

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 09:58:07 -0400
