## hubzero-submit-distributor 3.2.8-1+deb8

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-submit-distributor
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -38,10 +38,12 @@
 il=--install-layout=deb
 endif
 
-BATCHSCHEDULERS = condor ll lsf pbs sge slurm
+BATCHSCHEDULERS = boinc condor ll lsf pbs sge slurm
 BATCHSCRIPTS = cleanupjob.sh killbatchjob.sh movepegtmp2home.sh postprocessjob.sh \
                receiveinput.sh stdtocondor.sh submitbatchjob.sh submitfromcondor.sh \
-               transmitresults.sh
+               transmitresults.sh \
+               abortBatch.py createBatch.py fetchBatchOutput.py retireBatch.py \
+               submitBatchJob.py submitBatchJobs.py uploadFile.py uploadFiles.py
 DISTRIBUTORSCRIPTS = update-known-hosts hubmail.py
 DISTRIBUTORMAINS = distributor.py executeRemoteBatch.py jobKill.py jobStatus.py venueProbeR.py
 DISTRIBUTORDFTFILES = aggregators appaccess environmentwhitelist identities \
