=== debian/changelog ===
hubzero-submit-distributor (3.2.8-1+deb8) unstable; urgency=low

     - Improve reporting of what is executed in joblog:event.
     - Revamped how redundant submission operates.
       It is permissible to submit redundant jobs when
       executables are staged.  Multiple venues can be
       specified on the command line.
     - Improved extraction of jobId for SLURM.
     - Fixed BOINC job wrapper script to turn off executable
       bit set on stdout/stderr files generated on
       Windows volunteer hosts.
     - Fix problem caused by attempting redundant simulation
       with pre-existing runName directory.
     - Fix problem caused by attempting redundant simulation
       with pre-existing runName directory.
     - Allow progress type submit reporting for
       non parametric runs.
     - Provide support for parametric substitution in
       environment variables.
     - Updated BOINC scripts error processing
     - Allow parameter sweep variables to be
       used in conjunction with environment variables.
     - Allow environment variables values to resolve
       to files and directories.
     - Look for file names in command arguments
       of the form input=file.
     - Moved RemoteJobMonitor.py, RemoteTunnelMonitor.py, and
       TunnelsInfo.py from common package.
     - Added glob style definition of *.dat Info files.
     - Define environment varible white list specification
       by groups
     - Transfer $SESSION variable to remote jobs
     - Parameteric specification of --env variables.
     - Added BOINC batch submission scripts.
     - Added BOINC workflow type.  Generated by parametric
       sweep submitting multiple jobs as a batch to
       BOINC.
     - Revamped BOINC job submission to utilize provided
       submit_rpc.  Eliminates required direct to BOINC
       server for job submission.  All HUB tools use a
       single BOINC application.  The BOINC application
       utilizes Docker containers running in a VirtualBox
       host.
     - Introduced two new Info types: toolFilesInfo and
       dockerImageInfo
     - Removed job submission type - runjob.  It was based
       on HTCondor-G.

 -- Steven Clark <clarks@purdue.edu>  Thu, 12 Apr 2018 16:16:35 -0400

hubzero-submit-distributor (3.1.3-1) unstable; urgency=low

  * Added files necessary for HTCondor submission to SLURM resources

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 09:58:07 -0400
