## hubzero-submit-distributor 3.2.9-1+deb8

=== Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 DISTRIBUTORSCRIPTS = update-known-hosts hubmail.py
 DISTRIBUTORMAINS = distributor.py executeRemoteBatch.py jobKill.py jobStatus.py venueProbeR.py
 DISTRIBUTORDFTFILES = aggregators appaccess environmentwhitelist identities \
-                      managers monitors sites tools tunnels
+                      managers monitors sites tools toolfiles tunnels
 PEGASUSLOCALCONFIGS = pegasus_local.rc sites_local.xml
 
 HUBHOSTNAME:=$(shell hostname --fqdn)
@@ -93,7 +93,6 @@
 	done
 	(cd $(OPTSUBMIT); ln --force --symbolic distributor.py distributor)
 	# install-distributor-keys
-	install --mode 0751 -d $(OPTSUBMIT)/etc
 	install --mode 0751 -d $(OPTSUBMIT)/.ssh
 	# install-distributor-condor-scripts:
 	install --mode 2751 -d $(OPTSUBMIT)/bin
