=== debian/changelog ===
hubzero-submit-distributor (3.2.9-1+deb8) unstable; urgency=low

     - Report file tailing when using progress type submit.
     - Added missing toolfiles.dft file.
     - Moved default location of community SSH key from /opt/submit/etc to /opt/submit/.ssh

 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 16:40:48 -0400
