## hubzero-submit-distributor 3.4.2-1+deb8

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
                abortBatch.py createBatch.py fetchBatchOutput.py retireBatch.py \
                submitBatchJob.py submitBatchJobs.py uploadFile.py uploadFiles.py
 DISTRIBUTORSCRIPTS = update-known-hosts hubmail.py
-DISTRIBUTORMAINS = distributor.py executeRemoteBatch.py jobKill.py jobStatus.py venueProbeR.py
+DISTRIBUTORMAINS = distributor.py executeRemoteBatch.py jobKill.py jobStatus.py venueProbeR.py harvester.py
 DISTRIBUTORDFTFILES = aggregators appaccess environmentwhitelist identities \
                       managers monitors sites tools toolfiles tunnels
 PEGASUSLOCALCONFIGS = pegasus_local.rc sites_local.xml
