=== debian/changelog ===
hubzero-submit-distributor (3.4.2-1+deb8) unstable; urgency=low

     - Update to version 3.4.2
     - Fix bug related to file tailing and job harvesting.
     - Added missing harvester top level script
     - Update to version 3.4.1
     - Improved loading of configuration files with better
       handling of error conditions.
     - Added --disableJobMonitoring.  This is available only
       for BOINC submission.  Rather than monitor job progress
       in the distributor process on the submit server updates
       are posted through the shared file system.  The objective
       is to greatly reduce the memory footprint of the monitoring
       process thus allowing many more simultaneous submissions.
     - Removed remaining vestiges of HUBGRIDJOB
     - Treat existing but empty BOINC result file as an error.
     - Modified quota checking when job is being run by ionhelper.  Quota of
       actual user is now checked.
     - Added --requestCache option for submit to directly query cache
       for result.
     - Record origin of Rappture driver file (human,specbot,etc.).
     - Fixed syntax error in job status (--status) reporting.
     - Fixed parametric sweep job status reporting.
     - Increased default memory requirement ofr BOINC jobs.  Hope to avoid
       client starting more jobs than can fit in host memory.
     - Centralized cleanup of various files created to support runs.
     - Release version 3.3.1.

 -- Steven Clark <clarks@purdue.edu>  Fri, 05 Jul 2019 16:24:22 -0400

hubzero-submit-distributor (3.2.9-1) unstable; urgency=low

     - Report file tailing when using progress type submit.
     - Added missing toolfiles.dft file.
     - Moved default location of community SSH key from /opt/submit/etc to /opt/submit/.ssh

 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 16:40:48 -0400
