## hubzero-submit-distributor 3.6.3-1+deb7

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 il=--install-layout=deb
 endif
 
-BATCHSCHEDULERS = boinc condor ll lsf pbs sge slurm
+BATCHSCHEDULERS = boinc condor ll lsf pbs script sge slurm
 BATCHSCRIPTS = cleanupjob.sh killbatchjob.sh movepegtmp2home.sh postprocessjob.sh \
                receiveinput.sh stdtocondor.sh submitbatchjob.sh submitfromcondor.sh \
                transmitresults.sh \
@@ -47,7 +47,9 @@
 DISTRIBUTORMAINS = distributor.py executeRemoteBatch.py jobKill.py jobStatus.py venueProbeR.py harvester.py
 DISTRIBUTORDFTFILES = aggregators appaccess environmentwhitelist identities \
                       managers monitors sites tools toolfiles tunnels
-PEGASUSLOCALCONFIGS = pegasus_local.rc sites_local.xml
+PEGASUSTEMPLATEDIRECTORY = pegasusTemplates.d
+PEGASUSLOCALVERSIONS = 4.8.1 4.9.2 5.0.0 5.0.1
+PEGASUSLOCALCONFIGS = pegasus_local.rc sites_local.xml sites_local.yml
 
 HUBHOSTNAME:=$(shell hostname --fqdn)
 
@@ -77,6 +79,8 @@
 			fi \
 		done \
 	done
+	cp -rp Scripts/tapis $(OPTSUBMIT)/Scripts
+	find $(OPTSUBMIT)/Scripts/tapis -type d -exec chmod 2750 {} \;
 	# install-distributor-submissionscripts
 	cp -r SubmissionScripts $(OPTSUBMIT)
 	find $(OPTSUBMIT)/SubmissionScripts -type f -exec chmod 0644 {} \;
@@ -106,12 +110,19 @@
 	install --mode 0775 -d $(VARLOG)/submit
 	install --mode 0755 -d $(VARLOG)/submit/distributor
 	# install-pegasus-local: 
-	for pegasusLocalConfig in $(PEGASUSLOCALCONFIGS) ; do \
-           install --mode 0644 -D $${pegasusLocalConfig} $(OPTSUBMIT)/$${pegasusLocalConfig} ; \
+	install --mode 0755 -d $(OPTSUBMIT)/$(PEGASUSTEMPLATEDIRECTORY)
+	for pegasusLocalVersion in $(PEGASUSLOCALVERSIONS) ; do \
+		install --mode 0755 -d $(OPTSUBMIT)/$(PEGASUSTEMPLATEDIRECTORY)/pegasus-$${pegasusLocalVersion} ; \
+		for pegasusLocalConfig in $(PEGASUSLOCALCONFIGS) ; do \
+			if [ -f $(PEGASUSTEMPLATEDIRECTORY)/pegasus-$${pegasusLocalVersion}/$${pegasusLocalConfig} ] ; then \
+				install --mode 0644 -D $(PEGASUSTEMPLATEDIRECTORY)/pegasus-$${pegasusLocalVersion}/$${pegasusLocalConfig} $(OPTSUBMIT)/$(PEGASUSTEMPLATEDIRECTORY)/pegasus-$${pegasusLocalVersion}/$${pegasusLocalConfig} ; \
+			fi \
+		done \
 	done
 	# add sudoers file
 	install --mode 0440 -D submit-distributor.sudoers $(ETC)/sudoers.d/submit-distributor
-	python setup.py install $(COMPILE) --root $(DESTDIR)  $(il)
+	python2 setup.py install $(COMPILE) --root $(DESTDIR)  $(il)
+	python3 setup.py install $(COMPILE) --root $(DESTDIR)  $(il)
 
 uninstall:
 	@true
