=== debian/changelog ===
hubzero-submit-distributor (3.6.3-1+deb7) unstable; urgency=low

    Allow for the possibility of relative path specification when file systems are not shared

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 15:28:03 -0700

hubzero-submit-distributor (3.6.2-1) unstable; urgency=low

    - Added comparison operator functions to replace __cmp__ no longer available in Python3

 -- Steven Clark <smclark@ucsd.edu>  Fri, 04 Nov 2022 00:12:50 -0700

hubzero-submit-distributor (3.6.0-5) unstable; urgency=low

     - install python2 version of libraries as well

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 06 Jan 2022 10:37:21 -0800

hubzero-submit-distributor (3.6.0-4) unstable; urgency=low

     - rpm dependency fix for python36-GitPython and java-11-openjdk-headless

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 05 Jan 2022 21:09:36 -0800

hubzero-submit-distributor (3.6.0-3) unstable; urgency=low

     - rpm dependency fix for pyyaml

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 05 Jan 2022 16:06:14 -0800

hubzero-submit-distributor (3.6.0-2) unstable; urgency=low

     - Fixed Pegasus version directory
     - update packaging to python3
     - Moved TAPIS interface scripts from monitors to distributor repository
     - Update to version 3.6.0
     - Upgrade to Python3
     - Added support for multiple configurable Pegasus versions.
     - Added support for Pegasus/HTCondor workflow submission of
       script (no queue) jobs to clusters.
     - Created configurable directory for Pegasus related
       template files.  Different templates are used for each
       Pegasus version.
     - Added pre/post manager commands to Pegasus workflows.
     - Replaced ${HOME}/bin/time with /bin/time in submission
       scripts.
     - Added work around for missing /usr/bin/time at some
       OSG sites.

 -- Steven Clark <smclark@ucsd.edu>  Wed, 05 Jan 2022 16:02:20 -0800

hubzero-submit-distributor (3.5.1-1) unstable; urgency=low

     - Keep track of the exit status of each individual transaction for web service job
     - Added support for pre/post manage commands to Pegasus workflow.
     - Dropped support for gsissh.
     - Limit use of update-known-hosts to user gridman.
     - Added identity type for individual SSH keys.  Used by shared user
       accounts on the submit host.
     - Use template file to specify where monitoring web service is running.
     - Use configuration file to specify where backend compute web services
       are running.

 -- Steven Clark <smclark@ucsd.edu>  Mon, 13 Sep 2021 09:43:11 -0700

hubzero-submit-distributor (3.5.0-4) unstable; urgency=low

    - Added rule needed for community secret

 -- Steven Clark <smclark@ucsd.edu>  Mon, 12 Jul 2021 11:00:36 -0700

hubzero-submit-distributor (3.5.0-3) unstable; urgency=low

    - Mark config files as config files

 -- Steven Clark <smclark@ucsd.edu>  Fri, 09 Jul 2021 16:34:21 -0700

hubzero-submit-distributor (3.5.0-2) unstable; urgency=low

    - Add in users primary or default group

 -- Steven Clark <smclark@ucsd.edu>  Fri, 09 Jul 2021 15:50:43 -0700

hubzero-submit-distributor (3.5.0-1) unstable; urgency=low

    - Separated Local/Remote log file creation from script creation.
     - Added finer grained recording of when actions take place to
       better understand bottlenecks in webservice jobs.
     - Moved log service from LOCAL6 to LOCAL3.  Ideally this would be
       a configuration option.
     - Fixed testing of group privledge when submit is run under influence
       of sudo.  Tests need to be made against the actual user not the
       sudo user.
     - Added support to identity manager for oauthtokens.  Use case is
       the TAPIS service.
     - Added support for TAPIS job submission as a RemoteBATCH classification.
     - Added asynchronous job submission to support webservice.
     - Added support for Pegasus version 5+.  Configuration files
       went from xml to yml.
     - Added manager option to script based jobs.
     - Numerous additions made to Remote/Job monitor in support of
       webservice job submission.
     - Update to version 3.5.0
     - update for hosts with multiple aliases

 -- Steven Clark <smclark@ucsd.edu>  Thu, 08 Jul 2021 10:26:14 -0700

hubzero-submit-distributor (3.4.4-1) unstable; urgency=low

  * Pegasus 5 update
  * Scale core per node to user request.  Assumes node sharing is possible.
  * Added manager for serial computational mode execution.
  * Added parallel computational mode to SLURM batch submission.
  * California copyright update.

 -- Steven Clark <smclark@ucsd.edu>  Mon, 03 May 2021 12:18:21 -0700

hubzero-submit-distributor (3.4.3-2) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 16:20:56 -0700
