## hubzero-submit-distributor 3.6.3-1+deb10

=== debian/changelog ===
hubzero-submit-distributor (3.6.3-1+deb10) unstable; urgency=low

    Allow for the possibility of relative path specification when file systems are not shared

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 15:28:03 -0700
