## hubzero-submit-distributor 3.7.0-1+deb7

=== debian/changelog ===
hubzero-submit-distributor (3.7.0-1+deb7) unstable; urgency=low

     - Changed mount point detection to recognize shared
       mount.projfs file systems. This includes /data/projects.
       This avoids extra file transfer of potentially large files.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 18 May 2023 10:48:31 -0700

hubzero-submit-distributor (3.6.3-1) unstable; urgency=low

    Allow for the possibility of relative path specification when file systems are not shared

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 15:28:03 -0700
