## hubzero-submit-distributor 3.7.1-1+deb7

=== debian/changelog ===
hubzero-submit-distributor (3.7.1-1+deb7) unstable; urgency=low

     - Update to 3.7.1

 -- Steven Clark <smclark@ucsd.edu>  Mon, 30 May 2023 07:50:53 -0700

hubzero-submit-distributor (3.7.0-1) unstable; urgency=low

     - Changed mount point detection to recognize shared
       mount.projfs file systems. This includes /data/projects.
       This avoids extra file transfer of potentially large files.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 18 May 2023 10:48:31 -0700
