## hubzero-submit-distributor 3.7.2-1+deb10

=== Makefile ===
--- 
+++ 
@@ -46,7 +46,7 @@
 DISTRIBUTORSCRIPTS = update-known-hosts hubmail.py
 DISTRIBUTORMAINS = distributor.py executeRemoteBatch.py jobKill.py jobStatus.py venueProbeR.py harvester.py
 DISTRIBUTORDFTFILES = aggregators appaccess environmentwhitelist identities \
-                      managers monitors sites tools toolfiles tunnels
+                      managers monitors sites tapissites tools toolfiles tunnels
 PEGASUSTEMPLATEDIRECTORY = pegasusTemplates.d
 PEGASUSLOCALVERSIONS = 4.8.1 4.9.2 5.0.0 5.0.1
 PEGASUSLOCALCONFIGS = pegasus_local.rc sites_local.xml sites_local.yml
@@ -61,7 +61,7 @@
 	install --mode 0755 -d $(OPTSUBMIT)
 	# install-distributor-dft: 
 	for dftFile in $(DISTRIBUTORDFTFILES) ; do \
-		install --mode 0640 -D $${dftFile}.dft $(OPTSUBMIT)/$${dftFile}.dft ; \
+		install --mode 0644 -D $${dftFile}.dft $(OPTSUBMIT)/$${dftFile}.dft ; \
 	done
 	[ -f $(ETC)/submit/distributor.conf ] || \
 		install --mode 0644 -D distributor.conf_dft $(ETC)/submit/distributor.conf
