=== debian/changelog ===
hubzero-submit-distributor (3.7.2-1+deb10) unstable; urgency=low

     - Update to version 3.7.2
    Added environment variable setting at site level
    Moved DAX3.py from distributor to common
    Add default tapissite configuration file
    streamlined download reTry, move downloadJObOutputs reeTry up one level - restart the Tapis interaction of any file download fails.
    Change for submit 3.6 data transmission including input files 

 -- Steven Clark <smclark@ucsd.edu>  Wed, 20 Dec 2023 06:57:15 -0800
